Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455563 - 10G NIC modules bnx2x does not work on XEN mode
Summary: 10G NIC modules bnx2x does not work on XEN mode
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.2
Hardware: i686
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Xen Maintainance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 08:31 UTC by huaweisns
Modified: 2008-11-10 21:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-10 21:58:16 UTC


Attachments (Terms of Use)

Description huaweisns 2008-07-16 08:31:56 UTC
Description of problem:

The 10G NIC chipset is Boardcom 57710

Rhel 5.2 include the bnx2x module as the chipset 57710 driver module

It works well on the kernel 2.6.18-92-el5,the two netwrok ports works at the 
speed 10G 
bits/s, the data stream transmission is normally.

but when the kernel is 2.6.18-92-el5xen (OS run on XEN mode ),the 10G network 
ports link status is always keep the state of "no-linked"

Version-Release number of selected component (if applicable):

OS Rhel5.2 64bits 

kernel  2.6.18-92.el5Xen

bnx2x ver :1.40.22

CPU : Intel Xeon 5405
 
chipset:  Intel 5000P

NIC Chipset : Boardcom 57710(on board) 

How reproducible:

when the OS is working at XEN mode, the driver module bnx2x does not work !

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jindrich Novy 2008-08-03 20:04:15 UTC
Are you sure netpbm is a correct component to file this bug against? It looks more like a kernel/userspace problem to me.

Comment 2 huaweisns 2008-08-04 03:51:36 UTC
OK ,add this problem  to  kernel bug is more appropriate,thank you

Comment 3 Andy Gospodarek 2008-11-10 21:58:16 UTC
This was a kernel bug, but should be fixed with the latest 5.3 kernel.  Closing out.


Note You need to log in before you can comment on or make changes to this bug.